tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Class PubSubModule.SubscriptionElement

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementWrapper
  - - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubModule.SubscriptionElement

- All Implemented Interfaces:
    Element
  Enclosing class:
    PubSubModule

      public static class PubSubModule.SubscriptionElement
      extends ElementWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriptionElement()`
    `SubscriptionElement(Element subscription)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JID` | `getJID()`
    `String` | `getNode()`
    `String` | `getSubID()`
    `Subscription` | `getSubscription()`
    `void` | `setJID(JID subscriberJID)`
    `void` | `setNode(String nodeName)`
    `void` | `setSubID(String subID)`
    `void` | `setSubscription(Subscription subscription)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.ElementWrapper

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildElementValue, getChildElementValue, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getWrappedElement, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setChildElementValue, setChildElementValue, setParent, setValue, setXMLNS`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubscriptionElement

          public SubscriptionElement()
                              throws XMLException

      Throws:
        `XMLException`

    - #### SubscriptionElement

          public SubscriptionElement(Element subscription)

  - ### Method Detail

    - #### getJID

          public JID getJID()
                     throws XMLException

      Throws:
        `XMLException`

    - #### getNode

          public String getNode()
                         throws XMLException

      Throws:
        `XMLException`

    - #### getSubID

          public String getSubID()
                          throws XMLException

      Throws:
        `XMLException`

    - #### getSubscription

          public Subscription getSubscription()
                                       throws XMLException

      Throws:
        `XMLException`

    - #### setJID

          public void setJID(JID subscriberJID)
                      throws XMLException

      Throws:
        `XMLException`

    - #### setNode

          public void setNode(String nodeName)
                       throws XMLException

      Throws:
        `XMLException`

    - #### setSubID

          public void setSubID(String subID)
                        throws XMLException

      Throws:
        `XMLException`

    - #### setSubscription

          public void setSubscription(Subscription subscription)
                               throws XMLException

      Throws:
        `XMLException`

Copyright © 2006–2016 Tigase. All rights reserved.